Skip to main content
GET
/
api
/
Conversation
/
{id}
Get a Conversation By Id
curl --request GET \
  --url https://api.example.com/api/Conversation/{id} \
  --header 'Authorization: <api-key>'
{
  "id": 123,
  "active": true,
  "liveAgent": true,
  "from": "<string>",
  "conversationId": "<string>",
  "waterMark": "<string>",
  "token": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "finishedAt": "2023-11-07T05:31:56Z",
  "queuedAt": "2023-11-07T05:31:56Z",
  "lastConversationUpdateTime": "2023-11-07T05:31:56Z",
  "lastMessageContent": "<string>",
  "contactName": "<string>",
  "userId": 123,
  "userName": "<string>",
  "counterpartUserId": 123,
  "counterpartUserName": "<string>",
  "botId": 123,
  "botName": "<string>",
  "fileUrl": "<string>",
  "fileName": "<string>",
  "tenantId": 123,
  "conversationSummary": "<string>",
  "messages": [
    {
      "id": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "from": "<string>",
      "to": "<string>",
      "content": "<string>",
      "conversationId": 123,
      "sentiment": "<string>",
      "offset": "<string>",
      "isNPS": true,
      "contentSid": "<string>",
      "messageType": 0,
      "mediaUrl": "<string>",
      "mediaFileName": "<string>",
      "tenantId": 123,
      "userId": 123,
      "contentVariables": "<string>",
      "messageSid": "<string>",
      "messageStatus": 0,
      "sent": true,
      "delivered": true,
      "read": true,
      "errorCode": "<string>",
      "errorMessage": "<string>",
      "isReadByUser": true,
      "documentId": 123
    }
  ],
  "score": 123,
  "finalScore": 123,
  "checklistId": 123,
  "channelId": 123,
  "conversationIntegrationType": 0,
  "duration": "<string>",
  "highImportanceErrorDetected": true,
  "tags": [
    {
      "id": 123,
      "name": "<string>",
      "active": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "tenantId": 123
    }
  ],
  "conversationEvaluationStatus": 0,
  "conversationEvaluationStatusMessage": "<string>",
  "queueId": 123,
  "queueName": "<string>",
  "conversationEndedReasonId": 123,
  "agentType": 0,
  "conversationType": 0,
  "applicationStatusId": 123,
  "overallSentiment": "<string>",
  "callStatus": "<string>",
  "disconnectionReason": "<string>",
  "callSuccessful": true,
  "totalUnreadedMessagesByUser": 123,
  "dynamicVariables": [
    {
      "id": 123,
      "name": "<string>",
      "value": "<string>",
      "conversationId": 123
    }
  ],
  "dataCollection": [
    {
      "id": 123,
      "name": "<string>",
      "value": "<string>",
      "conversationId": 123
    }
  ],
  "agentId": 123
}

Authorizations

Authorization
string
header
required

Fill the JWT token. Bearer {your_token}

Path Parameters

id
integer<int32>
required

Response

Sucesso ao retornar a conversa

id
integer<int32>
active
boolean
liveAgent
boolean
from
string | null
conversationId
string | null
waterMark
string | null
token
string | null
createdAt
string<date-time>
finishedAt
string<date-time> | null
queuedAt
string<date-time> | null
lastConversationUpdateTime
string<date-time>
lastMessageContent
string | null
contactName
string | null
userId
integer<int32>
userName
string | null
counterpartUserId
integer<int32>
counterpartUserName
string | null
botId
integer<int32>
botName
string | null
fileUrl
string | null
fileName
string | null
tenantId
integer<int32>
conversationSummary
string | null
messages
object[] | null
score
integer<int32>
finalScore
integer<int32>
checklistId
integer<int32>
channelId
integer<int32>
conversationIntegrationType
enum<integer>
Available options:
0,
1,
2,
3,
4,
5,
6,
7,
8,
9,
10,
11,
12,
13,
14,
15,
16,
17,
18
duration
string<date-span> | null
highImportanceErrorDetected
boolean
tags
object[] | null
conversationEvaluationStatus
enum<integer>
Available options:
0,
1,
2,
3,
4
conversationEvaluationStatusMessage
string | null
queueId
integer<int32>
queueName
string | null
conversationEndedReasonId
integer<int32>
agentType
enum<integer>
Available options:
0,
1,
2,
3,
4,
5,
6
conversationType
enum<integer>
Available options:
0,
1,
2,
3,
4,
5,
6,
99
applicationStatusId
integer<int32>
overallSentiment
string | null
callStatus
string | null
disconnectionReason
string | null
callSuccessful
boolean
totalUnreadedMessagesByUser
integer<int32>
dynamicVariables
object[] | null
dataCollection
object[] | null
agentId
integer<int32>